Bug Hunting Session
Bug 35826 - docx export of hyperlinks sometimes not associated with full text range
Summary: docx export of hyperlinks sometimes not associated with full text range
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX Hyperlink
  Show dependency treegraph
 
Reported: 2011-03-31 04:08 UTC by Noel Power
Modified: 2017-05-14 07:44 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test document created with mso2010 (12.71 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2011-03-31 04:11 UTC, Noel Power
Details
exported (docx) version of the previous simplehyperlink.docx (3.70 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2011-03-31 04:12 UTC, Noel Power
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2011-03-31 04:08:55 UTC
when exporting some simple hyperlinks if the text range is in several runs then the hyperlink is only associated with the first run ( see attached test doc and export result doc )
Comment 1 Noel Power 2011-03-31 04:09:13 UTC
for me
Comment 2 Noel Power 2011-03-31 04:11:59 UTC
Created attachment 45085 [details]
test document created with mso2010
Comment 3 Noel Power 2011-03-31 04:12:56 UTC
Created attachment 45086 [details]
exported (docx) version of the previous simplehyperlink.docx
Comment 4 Noel Power 2011-05-20 04:53:31 UTC
I remember fixing this, can't find the patch but doesn't happen on 3.4 so closing
Comment 5 Noel Power 2011-05-25 06:27:44 UTC
<sigh> reopening, it's not actually fixed on 3.4 but it was fixed on master ( however the fix  breaks something else ) reopening
Comment 6 Noel Power 2011-05-26 02:10:59 UTC
fixed on master with http://cgit.freedesktop.org/libreoffice/writer/commit/?id=fb75384566defd74b0769d09ac22eb6f460c20c9 

closing again as fixed